Retrieve Knowledge Bases in a Project
get
/ic/api/integration/v1/projects/{projectId}/ai/knowledgeBases
Retrieves information about all Knowledge bases available in a project ordered by the last updated time.
Request
Path Parameters
-
projectId(required): string
Project identifier
Query Parameters
-
dbType: string
DB type e.g opensearch
-
expand: string
Includes additional details (Optional) about the adapter in the response. Valid value: adapter
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
-
label: string
Label parameter
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results. The limit is the maximum number of items to return at one time. For example, offset=3&limit=16 indicates to list connections starting at the 4th item, and the list will contain 16 items.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results. The offset is the starting point from which to return records. For example, offset=3&limit=16 indicates to list connections starting at the 4th item, and the list will contain 16 items.
-
orderBy: string
Lists Knowledge bases ordered by last updated time
-
q: string
Filters Knowledge bases by full or partial name.
-
return: string
API returns a minimal or full view of the response.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/vnd.oracle.model+json;type=collection
- application/json;charset=utf-8
200 Response
Successful operation
Root Schema : RagKnowledgeBasesRs
Type:
objectGenerated placeholder schema to satisfy $ref resolution.
400 Response
Malformed parameters
500 Response
Server error